Bug 1636347 - Tbrowser crashes if root-gui-html is not installed.
Summary: Tbrowser crashes if root-gui-html is not installed.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: root
Version: el6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mattias Ellert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-10-05 08:10 UTC by Steve Traylen
Modified: 2018-11-11 01:28 UTC (History)
2 users (show)

Fixed In Version: root-6.14.04-3.fc28 root-6.14.04-3.fc27 root-6.14.04-3.fc29 root-5.34.38-2.el6 root-6.14.04-3.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-05 01:27:49 UTC


Attachments (Terms of Use)

Description Steve Traylen 2018-10-05 08:10:06 UTC
Description of problem:

If root-gui is installed but not root-gui-html then a crash
occurs when a new TBrowser is destroyed.


Version-Release number of selected component (if applicable):

5.34.38-1

How reproducible:

Everytime.

Steps to Reproduce:
1.

With the following packages instaled:

root-graf-postscript-5.34.38-1.el6.x86_64
root-smatrix-5.34.38-1.el6.x86_64
root-gui-5.34.38-1.el6.x86_64
root-5.34.38-1.el6.x86_64
root-tree-5.34.38-1.el6.x86_64
root-graf-asimage-5.34.38-1.el6.x86_64
root-mathcore-5.34.38-1.el6.x86_64
root-foam-5.34.38-1.el6.x86_64
root-graf3d-eve-5.34.38-1.el6.x86_64
root-physics-5.34.38-1.el6.x86_64
root-gui-ged-5.34.38-1.el6.x86_64
root-io-xml-5.34.38-1.el6.x86_64
root-gui-fitpanel-5.34.38-1.el6.x86_64
root-io-5.34.38-1.el6.x86_64
root-graf-x11-5.34.38-1.el6.x86_64
root-hist-5.34.38-1.el6.x86_64
root-netx-5.34.38-1.el6.x86_64
root-cint-5.34.38-1.el6.x86_64
root-graf3d-gl-5.34.38-1.el6.x86_64
root-fonts-5.34.38-1.el6.noarch
root-minuit-5.34.38-1.el6.x86_64
root-graf-5.34.38-1.el6.x86_64
root-mlp-5.34.38-1.el6.x86_64
root-tree-viewer-5.34.38-1.el6.x86_64
root-montecarlo-eg-5.34.38-1.el6.x86_64
root-matrix-5.34.38-1.el6.x86_64
root-graf3d-5.34.38-1.el6.x86_64
root-core-5.34.38-1.el6.x86_64
root-tmva-5.34.38-1.el6.x86_64
root-icons-5.34.38-1.el6.noarch
root-hist-painter-5.34.38-1.el6.x86_64
root-net-5.34.38-1.el6.x86_64
root-mathmore-5.34.38-1.el6.x86_64
root-spectrum-5.34.38-1.el6.x86_64
root-graf-gpad-5.34.38-1.el6.x86_64
root-roofit-5.34.38-1.el6.x86_64
root-net-davix-5.34.38-1.el6.x86_64
root-geom-5.34.38-1.el6.x86_64
root-tree-player-5.34.38-1.el6.x86_64
root-io-rfio-5.34.38-1.el6.x86_64

and *not* root-gui-html


2. Start a root session and a TBrowser

$ root
root> new TBrowser

A window opens.


3. Kill the window

root> .q

At this point a segmentation occurs:



Actual results:

#6  0x00007fda7ff6fa2a in TQObject::Disconnect(char const*, char const*, void*, char const*) () from /usr/lib64/root/libCore.so.5.34
#7  0x00007fda78c98dca in TGFileBrowser::~TGFileBrowser() () from /usr/lib64/root/libGui.so
#8  0x00007fda78c98fa9 in TGFileBrowser::~TGFileBrowser() () from /usr/lib64/root/libGui.so
#9  0x00007fda78daf984 in ?? () from /usr/lib64/root/libGui.so



Expected results:

Should not segmentation fault.


Additional info:


If the root-gui-html package is installed then everything works fine.

yum install -y root-gui-html

$ root

ROOT 5.34/38 (heads/v5-34-00-patches@v5-34-36-235-gba5b2a7, Jul 10 2018, 13:20:00 on linuxx8664gcc)

CINT/ROOT C/C++ Interpreter version 5.18.00, July 2, 2010
Type ? for help. Commands must be C++ statements.
Enclose multiple statements between { }.
root [0] new TBrowser
(class TBrowser*)0x176f260
root [1] .q


Note with epel 7 (root 6.14.04-1)  the same occurs

#6  0x00007f2c13847da6 in TQObject::Disconnect(char const*, char const*, void*, char const*) () from /usr/lib64/root/libCore.so.6.14
#7  0x00007f2c04353dd4 in TGFileBrowser::~TGFileBrowser() () from /usr/lib64/root/libGui.so.6.14.04
#8  0x00007f2c04353f09 in TGFileBrowser::~TGFileBrowser() () from /usr/lib64/root/libGui.so.6.14.04
#9  0x00007f2c1408d02a in ?? ()
#10 0x0000000000000000 in ?? ()

after install root-gui-html then the .q is successful.

Comment 1 Fedora Update System 2018-10-26 19:11:16 UTC
pythia8-8.2.35-5.fc27 root-6.14.04-3.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-34f2dfe110

Comment 2 Fedora Update System 2018-10-26 19:11:30 UTC
pythia8-8.2.35-5.fc29 root-6.14.04-3.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-22de6b53d5

Comment 3 Fedora Update System 2018-10-26 19:11:43 UTC
pythia8-8.2.35-5.fc28 root-6.14.04-3.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-c354576690

Comment 4 Fedora Update System 2018-10-26 19:11:55 UTC
pythia8-8.2.35-5.el7 root-6.14.04-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-bc4d122b23

Comment 5 Fedora Update System 2018-10-26 19:13:26 UTC
pythia8-8.2.35-5.el6 root-5.34.38-2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-a36682dcf8

Comment 6 Fedora Update System 2018-10-27 15:35:13 UTC
pythia8-8.2.35-5.fc28, root-6.14.04-3.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-c354576690

Comment 7 Fedora Update System 2018-10-27 17:04:40 UTC
pythia8-8.2.35-5.el7, root-6.14.04-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-bc4d122b23

Comment 8 Fedora Update System 2018-10-27 17:19:16 UTC
pythia8-8.2.35-5.el6, root-5.34.38-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-a36682dcf8

Comment 9 Fedora Update System 2018-10-27 17:49:12 UTC
pythia8-8.2.35-5.fc27, root-6.14.04-3.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-34f2dfe110

Comment 10 Fedora Update System 2018-10-31 18:49:41 UTC
pythia8-8.2.35-5.fc29, root-6.14.04-3.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-22de6b53d5

Comment 11 Fedora Update System 2018-11-05 01:27:49 UTC
pythia8-8.2.35-5.fc28, root-6.14.04-3.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2018-11-05 01:52:58 UTC
pythia8-8.2.35-5.fc27, root-6.14.04-3.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2018-11-10 03:17:21 UTC
pythia8-8.2.35-5.fc29, root-6.14.04-3.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2018-11-11 00:37:24 UTC
pythia8-8.2.35-5.el6, root-5.34.38-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2018-11-11 01:28:42 UTC
pythia8-8.2.35-5.el7, root-6.14.04-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.